Bug 1027720 - sac: FTBFS - usage of non-existent %add_to_maven_depmap macro
sac: FTBFS - usage of non-existent %add_to_maven_depmap macro
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sac (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Caolan McNamara
Desktop QE
:
: 1048900 (view as bug list)
Depends On:
Blocks: 1012790
  Show dependency treegraph
 
Reported: 2013-11-07 05:31 EST by Stanislav Ochotnicky
Modified: 2014-06-18 04:23 EDT (History)
6 users (show)

See Also:
Fixed In Version: sac-1.3-17.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 05:49:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed patch (1.48 KB, patch)
2013-11-07 05:46 EST, Stanislav Ochotnicky
no flags Details | Diff

  None (edit)
Description Stanislav Ochotnicky 2013-11-07 05:31:32 EST
sac currently uses %add_to_maven_depmap macro. This macro has been replaced with %add_maven_depmap macro. Functionality is identical but usage is more simple with additional features.

This bug causes failure to build from source for %pkg
Comment 2 Stanislav Ochotnicky 2013-11-07 05:46:21 EST
Created attachment 821004 [details]
proposed patch
Comment 3 Caolan McNamara 2014-01-08 08:58:48 EST
*** Bug 1048900 has been marked as a duplicate of this bug. ***
Comment 5 Vladimir Benes 2014-01-28 08:44:20 EST
prepare:
    [mkdir] Created dir: /root/rpmbuild/BUILD/sac-1.3/src
    [mkdir] Created dir: /root/rpmbuild/BUILD/sac-1.3/build
    [mkdir] Created dir: /root/rpmbuild/BUILD/sac-1.3/build/classes
    [mkdir] Created dir: /root/rpmbuild/BUILD/sac-1.3/build/lib
    [mkdir] Created dir: /root/rpmbuild/BUILD/sac-1.3/build/api
     [copy] Copying 29 files to /root/rpmbuild/BUILD/sac-1.3/src/org

classes:
    [javac] /root/rpmbuild/BUILD/sac-1.3/build.xml:37: warning: 'includeantruntime' was not set, defaulting to build.sysclasspath=last; set to false for repeatable builds
    [javac] Compiling 29 source files to /root/rpmbuild/BUILD/sac-1.3/build/classes

jar:
      [jar] Building jar: /root/rpmbuild/BUILD/sac-1.3/build/lib/sac.jar

prepare:

javadoc:
  [javadoc] Generating Javadoc
  [javadoc] Javadoc execution
  [javadoc] Loading source files for package org.w3c.css.sac...
  [javadoc] Loading source files for package org.w3c.css.sac.helpers...
  [javadoc] Constructing Javadoc information...
  [javadoc] Standard Doclet version 1.7.0_51
  [javadoc] Building tree for all the packages and classes...
  [javadoc] /root/rpmbuild/BUILD/sac-1.3/src/org/w3c/css/sac/ConditionFactory.java:105: warning - @param argument "value" is not a parameter name.
  [javadoc] /root/rpmbuild/BUILD/sac-1.3/src/org/w3c/css/sac/ConditionFactory.java:153: warning - @param argument "localName" is not a parameter name.
  [javadoc] /root/rpmbuild/BUILD/sac-1.3/src/org/w3c/css/sac/ConditionFactory.java:153: warning - @param argument "specified" is not a parameter name.
  [javadoc] /root/rpmbuild/BUILD/sac-1.3/src/org/w3c/css/sac/CSSException.java:78: warning - @param argument "a" is not a parameter name.
  [javadoc] /root/rpmbuild/BUILD/sac-1.3/src/org/w3c/css/sac/CSSException.java:87: warning - @param argument "a" is not a parameter name.
  [javadoc] /root/rpmbuild/BUILD/sac-1.3/src/org/w3c/css/sac/DocumentHandler.java:32: warning - @param argument "uri" is not a parameter name.
  [javadoc] /root/rpmbuild/BUILD/sac-1.3/src/org/w3c/css/sac/DocumentHandler.java:47: warning - @param argument "uri" is not a parameter name.
  [javadoc] /root/rpmbuild/BUILD/sac-1.3/src/org/w3c/css/sac/DocumentHandler.java:68: warning - @param argument "at-rule" is not a parameter name.
  [javadoc] /root/rpmbuild/BUILD/sac-1.3/src/org/w3c/css/sac/DocumentHandler.java:92: warning - @param argument "defaultNamepaceURI" is not a parameter name.
  [javadoc] /root/rpmbuild/BUILD/sac-1.3/src/org/w3c/css/sac/DocumentHandler.java:140: warning - @param argument "media" is not a parameter name.
  [javadoc] /root/rpmbuild/BUILD/sac-1.3/src/org/w3c/css/sac/Parser.java:157: warning - @param argument "styleValue" is not a parameter name.
  [javadoc] /root/rpmbuild/BUILD/sac-1.3/src/org/w3c/css/sac/SelectorFactory.java:164: warning - @param argument "adjacent" is not a parameter name.
  [javadoc] Building index for all the packages and classes...
  [javadoc] Building index for all classes...
  [javadoc] Generating /root/rpmbuild/BUILD/sac-1.3/build/api/help-doc.html...
  [javadoc] 12 warnings

BUILD SUCCESSFUL
Total time: 2 seconds
+ exit 0
Executing(%install): /bin/sh -e /var/tmp/rpm-tmp.MDPYSr
+ umask 022
+ cd /root/rpmbuild/BUILD
+ '[' /root/rpmbuild/BUILDROOT/sac-1.3-15.el7.x86_64 '!=' / ']'
+ rm -rf /root/rpmbuild/BUILDROOT/sac-1.3-15.el7.x86_64
++ dirname /root/rpmbuild/BUILDROOT/sac-1.3-15.el7.x86_64
+ mkdir -p /root/rpmbuild/BUILDROOT
+ mkdir /root/rpmbuild/BUILDROOT/sac-1.3-15.el7.x86_64
+ cd sac-1.3
+ rm -rf /root/rpmbuild/BUILDROOT/sac-1.3-15.el7.x86_64
+ mkdir -p META-INF
+ cp -p /root/rpmbuild/SOURCES/sac-MANIFEST.MF META-INF/MANIFEST.MF
+ touch META-INF/MANIFEST.MF
+ zip -u build/lib/sac.jar META-INF/MANIFEST.MF
updating: META-INF/MANIFEST.MF (deflated 41%)
+ mkdir -p /root/rpmbuild/BUILDROOT/sac-1.3-15.el7.x86_64/usr/share/java
+ cp -p ./build/lib/sac.jar /root/rpmbuild/BUILDROOT/sac-1.3-15.el7.x86_64/usr/share/java/sac.jar
+ mkdir -p /root/rpmbuild/BUILDROOT/sac-1.3-15.el7.x86_64/usr/share/javadoc/sac
+ cp -pr build/api/allclasses-frame.html build/api/allclasses-noframe.html build/api/constant-values.html build/api/deprecated-list.html build/api/help-doc.html build/api/index-all.html build/api/index.html build/api/org build/api/overview-frame.html build/api/overview-summary.html build/api/overview-tree.html build/api/package-list build/api/resources build/api/serialized-form.html build/api/stylesheet.css /root/rpmbuild/BUILDROOT/sac-1.3-15.el7.x86_64/usr/share/javadoc/sac
+ %add_to_maven_depmap org.w3c.css sac 1.3 JPP sac
/var/tmp/rpm-tmp.MDPYSr: line 48: fg: no job control
error: Bad exit status from /var/tmp/rpm-tmp.MDPYSr (%install)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.MDPYSr (%install)
Comment 6 Stanislav Ochotnicky 2014-01-28 09:22:42 EST
(In reply to Vladimir Benes from comment #5)
> + '[' /root/rpmbuild/BUILDROOT/sac-1.3-15.el7.x86_64 '!=' / ']'
> + rm -rf /root/rpmbuild/BUILDROOT/sac-1.3-15.el7.x86_64

It seems like you were not testing correct release (-15 vs -17). Errata seems to have the correct build attached
Comment 7 Vladimir Benes 2014-01-28 11:38:37 EST
ah sorry, you're right
+ umask 022
+ cd /root/rpmbuild/BUILD
+ cd sac-1.3
+ /usr/bin/rm -rf /root/rpmbuild/BUILDROOT/sac-1.3-17.el7.x86_64
+ exit 0
Comment 8 Ludek Smid 2014-06-13 05:49:37 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.